# Method: forms.responses.get

- [HTTP request](https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.responses/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.responses/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.responses/get#body.request_body)
- [Response body](https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.responses/get#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.responses/get#body.aspect)
- [Try it!](https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.responses/get#try-it)

Get one response from the form.

### HTTP request

`GET https://forms.googleapis.com/v1/forms/{formId}/responses/{responseId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `formId` | `string` Required. The form ID. |
| `responseId` | `string` Required. The response ID within the form. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.responses#FormResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/drive`
- `
  https://www.googleapis.com/auth/drive.file`
- `
  https://www.googleapis.com/auth/forms.responses.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).